﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using MaterialDesignThemes.Wpf;

using DialogHostMsgExample.Model;

namespace DialogHostMsgExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private async void ButtonInfo_Click(object sender, RoutedEventArgs e)
        {
            InfoNotificationMessage msg = new InfoNotificationMessage();
            msg.Message = "Hello information";

            await DialogHost.Show(msg, "RootDialog");
        }

        private async void ButtonError_Click(object sender, RoutedEventArgs e)
        {
            ErrorNotificationMessage msg = new ErrorNotificationMessage();
            msg.Message = "Hello error";

            await DialogHost.Show(msg, "RootDialog");
        }

        private async void ButtonTest_OnClick(object sender, RoutedEventArgs e)
        {
            var viewModel = new NewProjectViewModel();
            var res = await DialogHost.Show(viewModel, "RootDialog");

            if (res is bool b && b)
            {
                MessageBox.Show("New project name: " + viewModel.ProjectName);
            }
        }
    }
}
